//met a jour les évènements ajax et popup d'un node name
function updateLink(node_name) {
    $('#' + node_name).each(
        function() {
            //si l'élément à la class ajax et qu'il n'a pas recu l'évènement : on lui done l'évènement et on le marque comme contrôlé'
            if($(this).hasClass("ajax") && $(this).attr("node_checked") != 'ok') {
                $(this).attr({node_checked:'ok'});
                //si l'élément est clické alors déclenchement de l'évènement Ajax via _ajax();
                $(this).unbind('click').click(
                    function() {
                        url = (typeof $(this).attr("href") !="undefined") ? $(this).attr("href") : '/';
                        _ajax({'url':url});
                        
                        return false;
                    }
                );
            }
        }
    );
}

//cet appel ajax rempli à la place de nodename le content recu en retour du controleur appelé
function _ajax(ajax_param){
    //url qui sera appelé
    url = ajax_param.url;
    /*
    On est en mode Ajax : on va rajouter un paramettre pour signifier au contrôleur de dialogue que l'on ne
    désire qu'une partie de la vue (tout sauf le header et le footer)
    */
    param = '_v=ajax';
    $.post(
        url,
        param,
        function(response){
            //je reçois bien une réponse et je vais lancer mon trigger
            $(document).trigger(response.triger_name,response);
        },
        "json"
   );
   return;
}

//Tout le doc est chargé, j'initialise l'analyse du conteneur #site à la recherche de liens qui porteraient la class "ajax"
$(document).ready(function () {
    //mise à jour des liens
    updateLink('site a');
});


/*** Les TRIGGERS ***/
$(document).bind('TEST-1', function(event, response){
    //je remplace le texte
    $('#' + response.node_name).empty().append(response.html_content);
    
    //mise a jour des évènements aux liens présent dans le contenu.
    updateLink(response.node_name + ' a');
});

$(document).bind('TEST-2', function(event, response){
    alert(response.html_content);
});

$(document).bind('TEST-3', function(event, response){
    //je remplace le texte
    $('#' + response.node_name).empty().append(response.html_content);
});